roar_stream_add_data(3)

NAME
roar_stream_add_data - Adds data to a stream's input buffer using the control connection

SYNOPSIS

#include <roaraudio.h>

int roar_stream_add_data(struct roar_connection * con, struct roar_stream * s, char * data, size_t len);

DESCRIPTION
This adds data to the input buffer of a stream. It's like doing some thing like this:

 write(stream_fh, data, len);

but uses the control channel to add the data.

PARAMETERS

con The connection to the server.

s   The stream to add data to it's input buffer.

data
    The data to add to the buffer.

len The length of the data to be added.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

BUGS
This call doesn't work with the current roard. The server does not use all of the buffer size and complains about unterruns.

SEE ALSO
write(2), libroar(7), RoarAudio(7).